Bug 447766 - Review Request: mathomatic - Small, portable symbolic math program
Review Request: mathomatic - Small, portable symbolic math program
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 13:58 EDT by Terje Røsten
Modified: 2008-06-09 14:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-09 14:51:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2008-05-21 13:58:48 EDT
spec: http://terjeros.fedorapeople.org/mathomatic/mathomatic.spec
srpm: http://terjeros.fedorapeople.org/mathomatic/mathomatic-14.0.3-1.fc9.src.rpm
Description:

Mathomatic is a small, portable symbolic math program that can
automatically solve, simplify, differentiate, combine, and compare
algebraic equations, perform polynomial and complex arithmetic,
etc. It was written by George Gesslein II and has been under
development since 1986.
Comment 1 Terje Røsten 2008-05-21 14:04:43 EDT
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=623197
Comment 2 Michel Alexandre Salim 2008-06-04 00:06:18 EDT
Looks good so far; could you update to 14.0.4 and then I can do a full review?
Thanks.
Comment 3 Terje Røsten 2008-06-04 17:15:29 EDT
> Looks good so far; could you update to 14.0.4 and then I can do a full review?

Sure:

spec: http://terjeros.fedorapeople.org/mathomatic/mathomatic.spec
srpm: http://terjeros.fedorapeople.org/mathomatic/mathomatic-14.0.4-1.fc9.src.rpm
Comment 4 Michel Alexandre Salim 2008-06-06 19:04:03 EDT
Only one small problem: desktop-file-install is used without a vendor tag. Could
you make it desktop-file-install --vendor="fedora" ... ?

(the exception is for packages that have their own vendor tags, e.g. KDE, GNOME,
XFCE)

APPROVED

• rpmlint: clean
• package name: ok
• spec file name: ok
• package guideline-compliant: ok
• license complies with guidelines: ok
• license field accurate: ok
• license file not deleted: ok
• spec in US English: ok
• spec legible: ok
• source matches upstream: ok
• builds under >= 1 archs, others excluded: ok
• build dependencies complete: ok
• own all directories: ok
• no dupes in %files: ok
• permission: ok
• %clean RPM_BUILD_ROOT: ok
• macros used consistently: ok
• Package contains code: ok
• large docs => -doc: small enough
• desktop file uses desktop-file-install: ok -- note: vendor tag missing
• clean buildroot before install: ok
• filenames UTF-8: ok

SHOULD
• desc and summary contain translations if available
• package build in mock on all architectures: none
• package functioned as described: ok
• scriplets are sane: ok (see note on vendor tag)
• other subpackages should require versioned base: ok (though in this case it
seems functionally independent)
• require package not files: ok
Comment 5 Jason Tibbitts 2008-06-06 19:14:36 EDT
Actually we're trying to reword the guideline about --vendor so that it's clear
just what's supposed to be done with it.  It seems that --vendor=fedora is
rarely the right thing to do.

Check the discussion starting here:
http://fedoraproject.org/wiki/Packaging/Minutes20080603#t12:15
Comment 6 Terje Røsten 2008-06-07 03:57:40 EDT
> Only one small problem: desktop-file-install is used without a vendor tag.
> Could you make it desktop-file-install --vendor="fedora" ... ?

Will have a look, thanks for comments tibbs.
 
> APPROVED

Thanks for the review. 

(fedora-review flag should be changed?)


New Package CVS Request
=======================
Package Name: mathomatic
Short Description: Small, portable symbolic math program
Owners: terjeros
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes


Comment 7 Kevin Fenzi 2008-06-08 13:55:52 EDT
Michel: Can you set the fedora-review flag? Just want to make sure all is
approved from your end. 
Comment 8 Michel Alexandre Salim 2008-06-09 01:32:19 EDT
Ah yes, sorry.
Comment 9 Kevin Fenzi 2008-06-09 12:25:34 EDT
thanks. 

cvs done.
Comment 10 Terje Røsten 2008-06-09 14:51:52 EDT
Thanks guys, package built and pending for testing.

Note You need to log in before you can comment on or make changes to this bug.